Get quote and order
Quote and its order, or null while the deposit is awaited. Server key.
GET
/
v1
/
orchestration
/
order
Get quote and order
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/orchestration/order \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/orchestration/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/orchestration/order"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"quote": {
"id": "q_7e450ab4-935b-4f8d-a6c4-4987a3cd2831",
"kind": "sell",
"sourceChain": "bitcoin",
"sourceAsset": "BTC",
"destinationChain": "solana",
"destinationAsset": "USDC",
"amountIn": "100000",
"estimatedOut": "99000000",
"feeBps": 50,
"feeAmount": "500000",
"feeAsset": "USDC",
"roundingFeeAmount": "0",
"depositAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"recipientAddress": "7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV",
"slippageBps": 100,
"expiresAt": "2026-09-12T12:02:00.000Z",
"expired": true,
"createdAt": "2026-09-12T12:00:00.000Z"
},
"order": {
"id": "ord_b91bbf90-42dc-4fe3-9b15-1d2c7e19cce6",
"type": "order",
"quoteId": "q_7e450ab4-935b-4f8d-a6c4-4987a3cd2831",
"status": "completed",
"sourceChain": "bitcoin",
"sourceAsset": "BTC",
"destinationChain": "solana",
"destinationAsset": "USDC",
"depositAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"recipientAddress": "7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV",
"amountIn": "100000",
"amountOut": "99000000",
"feeAmount": "500000",
"feeAsset": "USDC",
"feeBps": 50,
"slippageBps": 100,
"createdAt": "2026-09-12T12:00:00.000Z",
"updatedAt": "2026-09-12T12:04:00.000Z",
"completedAt": "2026-09-12T12:04:00.000Z"
},
"stages": [
{
"name": "completed",
"status": "completed",
"completedAt": "2026-09-12T12:04:00.000Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Query Parameters
Minimum string length:
1Was this page helpful?
⌘I
Get quote and order
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/orchestration/order \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/orchestration/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/orchestration/order"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"quote": {
"id": "q_7e450ab4-935b-4f8d-a6c4-4987a3cd2831",
"kind": "sell",
"sourceChain": "bitcoin",
"sourceAsset": "BTC",
"destinationChain": "solana",
"destinationAsset": "USDC",
"amountIn": "100000",
"estimatedOut": "99000000",
"feeBps": 50,
"feeAmount": "500000",
"feeAsset": "USDC",
"roundingFeeAmount": "0",
"depositAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"recipientAddress": "7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV",
"slippageBps": 100,
"expiresAt": "2026-09-12T12:02:00.000Z",
"expired": true,
"createdAt": "2026-09-12T12:00:00.000Z"
},
"order": {
"id": "ord_b91bbf90-42dc-4fe3-9b15-1d2c7e19cce6",
"type": "order",
"quoteId": "q_7e450ab4-935b-4f8d-a6c4-4987a3cd2831",
"status": "completed",
"sourceChain": "bitcoin",
"sourceAsset": "BTC",
"destinationChain": "solana",
"destinationAsset": "USDC",
"depositAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"recipientAddress": "7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV",
"amountIn": "100000",
"amountOut": "99000000",
"feeAmount": "500000",
"feeAsset": "USDC",
"feeBps": 50,
"slippageBps": 100,
"createdAt": "2026-09-12T12:00:00.000Z",
"updatedAt": "2026-09-12T12:04:00.000Z",
"completedAt": "2026-09-12T12:04:00.000Z"
},
"stages": [
{
"name": "completed",
"status": "completed",
"completedAt": "2026-09-12T12:04:00.000Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}